package agilpizza.dao;

import agilpizza.modelo.Cliente;
import agilpizza.modelo.QuantidadeDeIngrediente;

import java.util.LinkedList;

public class PedidoDAO {
	
	private Cliente cliente;
	private LinkedList<LinkedList<QuantidadeDeIngrediente>> lista;
	
	public PedidoDAO () {		
		this(null);
	}
	
	public PedidoDAO (Cliente cliente) {
		this.lista = new LinkedList<LinkedList<QuantidadeDeIngrediente>>();
		this.cliente = cliente;
	}
	
	public Cliente getCliente() {
		return cliente;
	}
	public void setCliente(Cliente cliente) {
		this.cliente = cliente;
	}
	
	public LinkedList<QuantidadeDeIngrediente> getLista(int index) {
		return lista.get(index);
	}
	
	public void adicionaLista(LinkedList<QuantidadeDeIngrediente> lista) {
		this.lista.add(lista);
	}
	
	public void removeLista(int index) {
		this.lista.remove(index);
	}
	
}
